Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.image.loader.batik
Class ImageConverterG2D2SVG

    java.lang.Object
      org.apache.xmlgraphics.image.loader.impl.AbstractImageConverter
          org.apache.fop.image.loader.batik.ImageConverterG2D2SVG

All Implemented Interfaces:
  org.apache.xmlgraphics.image.loader.spi.ImageConverter

    public class ImageConverterG2D2SVG

extends org.apache.xmlgraphics.image.loader.impl.AbstractImageConverter

This ImageConverter converts Java2D images into SVG images.

Field Summary

Fields inherited from interface org.apache.xmlgraphics.image.loader.spi.ImageConverter
`MEDIUM_CONVERSION_PENALTY, MINIMAL_CONVERSION_PENALTY, NO_CONVERSION_PENALTY`

Constructor Summary
`ImageConverterG2D2SVG()`

Method Summary
`org.apache.xmlgraphics.image.loader.Image` | `convert(org.apache.xmlgraphics.image.loader.Image src, java.util.Map hints)`
`org.apache.xmlgraphics.image.loader.ImageFlavor` | `getSourceFlavor()`
`org.apache.xmlgraphics.image.loader.ImageFlavor` | `getTargetFlavor()`

Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImageConverter
`checkSourceFlavor, getConversionPenalty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageConverterG2D2SVG

    public ImageConverterG2D2SVG()

Method Detail

### convert

    public org.apache.xmlgraphics.image.loader.Image convert(org.apache.xmlgraphics.image.loader.Image src,
                                                             java.util.Map hints)
                                                      throws org.apache.xmlgraphics.image.loader.ImageException

  Throws:
    `org.apache.xmlgraphics.image.loader.ImageException`

### getSourceFlavor

    public org.apache.xmlgraphics.image.loader.ImageFlavor getSourceFlavor()

### getTargetFlavor

    public org.apache.xmlgraphics.image.loader.ImageFlavor getTargetFlavor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.